package org.gnomekr.argosdoc;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.gnomekr.argosdoc.view.DocumentBrowserView;
import org.gnomekr.argosdoc.view.DocumentsTreeView;

public class Perspective implements IPerspectiveFactory {

    public void createInitialLayout(IPageLayout layout) {
        String editorArea = layout.getEditorArea();
        layout.setEditorAreaVisible(false);
        layout.setFixed(true);

        layout.addStandaloneView(
                DocumentsTreeView.ID,
                true,
                IPageLayout.LEFT,
                0.3f,
                editorArea);
        layout.addStandaloneView(
                DocumentBrowserView.ID,
                false,
                IPageLayout.LEFT,
                IPageLayout.RATIO_MAX,
                editorArea);
    }
}
