package org.gnomekr.argosdoc.node;

/**
 * NodeType.java
 * @author Xavier Cho
 * @version $Revision: 1.1 $ $Date: 2005/11/18 08:29:39 $
 */
public enum NodeType {
    Document("Document", "/icons/packages.gif"), Package("Package", "/icons/package_obj.gif"), Interface("Interface", ""), Class(
            "Class", "/icons/class_obj.gif"), Annotation("Annotation", null), Enum("Enum", null);

    private String name;
    private String iconPath;

    NodeType(String name, String iconPath) {
        this.name = name;
        this.iconPath = iconPath;
    }

    public String getName() {
        return name;
    }

    public String getIconPath() {
        return iconPath;
    }
}