package org.gnomekr.argosdoc.node;

import java.util.Comparator;

/**
 * NodeComparator.java
 * @author Xavier Cho
 * @version $Revision: 1.2 $ $Date: 2005/11/18 08:29:39 $
 */
public class NodeComparator implements Comparator<ElementNode> {

    /**
     * @param n1
     * @param n2
     * @return
     */
    public int compare(ElementNode n1, ElementNode n2) {
        Integer o1 = n1.getType().ordinal();
        Integer o2 = n2.getType().ordinal();

        int result = o1.compareTo(o2);
        if (result == 0) {
            result = n1.getName().compareTo(n2.getName());
        }

        return result;
    }
}
